Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.svg
Class DefaultText

    java.lang.Object
      com.nwoods.jgo.svg.AbstractNode
          com.nwoods.jgo.svg.DefaultText

All Implemented Interfaces:
  DomNode, DomText

public class DefaultText
extends AbstractNode
implements DomText

A wrapper class for org.w3c.dom.Text. By implementing the interface DomText, this class allows the com.nwoods.jgo package to provide methods that manipulate org.w3c.dom.Text objects while not requiring the org.w3c.dom.Text class to be present in order to build com.nwoods.jgo. JGo applications that support serialization to and from SVG XML files require this class.

Constructor Summary
`DefaultText(org.w3c.dom.Text text)` Create a new DefaultText

Method Summary
`org.w3c.dom.Text` | `getText()` Return the org.w3c.dom.Text associated with this DefaultText
`java.lang.String` | `getTextString()` The character data of the node that implements this interface.

Methods inherited from class com.nwoods.jgo.svg.AbstractNode
`appendChild, elementCast, getFirstChild, getFirstChildElement, getFirstChildText, getNextSibling, getNextSiblingElement, getNextSiblingJGoClassElement, getNextSiblingText, getNode, getParentNode, isElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.nwoods.jgo.DomNode
`appendChild, elementCast, getFirstChild, getFirstChildElement, getFirstChildText, getNextSibling, getNextSiblingElement, getNextSiblingJGoClassElement, getNextSiblingText, getParentNode, isElement`

Constructor Detail

### DefaultText

    public DefaultText(org.w3c.dom.Text text)

  Create a new DefaultText

Parameters:
  `text` - a org.w3c.dom.Text object

Method Detail

### getText

    public org.w3c.dom.Text getText()

  Return the org.w3c.dom.Text associated with this DefaultText

  Returns:
    the the org.w3c.dom.Text associated with this DefaultText

### getTextString

    public java.lang.String getTextString()

  Description copied from interface: `DomText`
  The character data of the node that implements this interface.

  Specified by:
    `getTextString` in interface `DomText`
  Returns:
    the character data of the node that implements this interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD